qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robbie Gemmell (JIRA)" <qpid-...@incubator.apache.org>
Subject [jira] Resolved: (QPID-2190) enable the updated jmx management console to connect to very old brokers
Date Sun, 08 Aug 2010 03:13:16 GMT

     [ https://issues.apache.org/jira/browse/QPID-2190?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Robbie Gemmell resolved QPID-2190.
----------------------------------

    Resolution: Fixed

> enable the updated jmx management console to connect to very old brokers
> ------------------------------------------------------------------------
>
>                 Key: QPID-2190
>                 URL: https://issues.apache.org/jira/browse/QPID-2190
>             Project: Qpid
>          Issue Type: Bug
>          Components: Java Management : JMX Console
>    Affects Versions: 0.6
>            Reporter: Robbie Gemmell
>            Assignee: Robbie Gemmell
>             Fix For: 0.6
>
>
> The updated jmx management console uses the UserManagement MBean to classify the management
API version when connecting to brokers pre 0.6. The UserManagement MBean was not present in
the earliest releases, so to enable full backwards connectivity it should treat the lack of
the MBean as meaning an earlier version, instead of failing to complete the connection as
present.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
Apache Qpid - AMQP Messaging Implementation
Project:      http://qpid.apache.org
Use/Interact: mailto:dev-subscribe@qpid.apache.org


Mime
View raw message